#!/usr/bin/python
# coding=iso-8859-1

import xbmc,xbmcgui,os
from webtv import webtv

try: Emulating = xbmcgui.Emulating
except: Emulating = False

#get actioncodes from keymap.xml

ACTION_MOVE_LEFT            = 1 
ACTION_MOVE_RIGHT         = 2
ACTION_MOVE_UP              = 3
ACTION_MOVE_DOWN            = 4
ACTION_PAGE_UP              = 5
ACTION_PAGE_DOWN            = 6
ACTION_SELECT_ITEM        = 7
ACTION_HIGHLIGHT_ITEM            = 8
ACTION_PARENT_DIR         = 9
ACTION_PREVIOUS_MENU      = 10
ACTION_SHOW_INFO            = 11

ACTION_PAUSE         = 12
ACTION_STOP          = 13
ACTION_NEXT_ITEM            = 14
ACTION_PREV_ITEM            = 15

# chemin du script
HOME   = os.getcwd().replace(';','')
IMAGES = os.path.join(HOME,"images")

class Window(xbmcgui.Window):
   def __init__(self):
      xbmcgui.Window.__init__(self)

      print ("Emulating:%s"%(Emulating))

      self.buttons = [] # boutons de controle
      
      self.setCoordinateResolution(6)

      self.addControl(xbmcgui.ControlImage(0,0,720,576, os.path.join(IMAGES,'background.png')))
      # Ajout des boutons
      for count in range(0,20):
         self.buttons.append(xbmcgui.ControlButton(60+((40+80)*(count%5)), 170 + ((count/5)*(30+60)), 80, 60, "" ,os.path.join(IMAGES,"logo%02d.png"%(count+1)),os.path.join(IMAGES,"logo%02d_fade.png"%(count+1))))
         self.addControl(self.buttons[count])

      # Deplacements entre les boutons
      nbButtons = len(self.buttons)
      for count in range(nbButtons):
         self.buttons[count].controlRight(self.buttons[(count+1)%nbButtons])
         self.buttons[count].controlDown (self.buttons[(count+5)%nbButtons])
         self.buttons[count].controlUp   (self.buttons[(count-5)%nbButtons])
         self.buttons[count].controlLeft (self.buttons[(count-1)%nbButtons])
      self.setFocus(self.buttons[0])
      
      self.tv = webtv()
         
   def onAction(self, action):
      if action == ACTION_PREVIOUS_MENU:
         self.close()
      
   def onControl(self, control):
      for count in range(len(self.buttons)):
         if control == self.buttons[count]:
            chaine = "%d"%(count+1)
            self.tv.getSession()
            self.tv.setStream(chaine)
            url = self.tv.getURL()
            print "click on stream %s, url: %s"%(chaine,url)
            if Emulating == False:
               xbmc.Player(xbmc.PLAYER_CORE_MPLAYER).play(url)
            else:
               os.system("gmplayer -prefer-ipv4 %s"%(url))
            break

w = Window()
w.doModal()
del w
